﻿using System;
using System.IO;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Navigation;
using System.Windows.Threading;

namespace ClockDemo
{
	public partial class Window1
	{
        private DispatcherTimer dt;
		public Window1()
		{
			this.InitializeComponent();

		    // Insert code required on object creation below this point.
            dt = new DispatcherTimer();
            dt.Tick += new EventHandler(onTick);
            dt.Interval = new TimeSpan(0, 0, 1);
            dt.Start();
		}

        private void onTick(object sender, EventArgs e)
        {
            Window.Resources["rotation_h"] = (double)DateTime.Now.Hour * 30 + DateTime.Now.Minute * 0.5;
            Window.Resources["rotation_m"] = (double)DateTime.Now.Minute * 6;
            Window.Resources["rotation_s"] = (double)DateTime.Now.Second * 6;

        }
	}
}